#!/bin/bash

# This script run the service manually, useful for debugging

if [ "$EUID" -ne 0 ]
  then echo "Please run as root"
  exit
fi

BASEDIR="$( cd -- "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
cd $BASEDIR

echo "Stopping snowpackd service (error can be ignored)"
systemctl stop snowpackd

echo ""
echo "Starting snowpackd in standalone mode..."
./snowpackd standalone
echo
echo "snowpackd exited"
